---
title: Throttling
slug: Tools/Network_Monitor/Throttling
tags:
  - '110n:priority'
  - Debugging
  - Dev Tools
  - Firefox
  - Guide
  - Networking
  - Tools
---
<p>{{ToolsSidebar}}</p>

<p>The network monitor allows you to throttle your network speed to emulate various connection speeds so you can see how your app will behave under different connection types.</p>

<h2 id="Throttling">Throttling</h2>

<p>The toolbar includes a Throttling dropdown, which allows you to throttle your network speed to emulate various different network speed conditions. Choose an option from the menu, and it will persist across reloads.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16260/throttling.png" style="border: 1px solid black; display: block; height: 177px; margin: 0px auto; width: 150px;"></p>

<p>The characteristics emulated are:</p>

<ul>
 <li>Download speed</li>
 <li>Upload speed</li>
 <li>Minimum latency</li>
</ul>

<p>The table below lists the numbers associated with each network type, but please do not rely on this feature for exact performance measurements; it's intended to give an approximate idea of the user experience in different conditions. The speeds are expressed in multiples of bits per second.</p>

<table class="fullwidth-table standard-table">
 <thead>
  <tr>
   <th scope="col">Selection</th>
   <th scope="col">Download speed</th>
   <th scope="col">Upload speed</th>
   <th scope="col">Minimum latency (ms)</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>GPRS</td>
   <td>50 Kbps</td>
   <td>20 Kbps</td>
   <td>500</td>
  </tr>
  <tr>
   <td>Regular 2G</td>
   <td>250 Kbps</td>
   <td>50 Kbps</td>
   <td>300</td>
  </tr>
  <tr>
   <td>Good 2G</td>
   <td>450 Kbps</td>
   <td>150 Kbps</td>
   <td>150</td>
  </tr>
  <tr>
   <td>Regular 3G</td>
   <td>750 Kbps</td>
   <td>250 Kbps</td>
   <td>100</td>
  </tr>
  <tr>
   <td>Good 3G</td>
   <td>1.5 Mbps</td>
   <td>750 Kbps</td>
   <td>40</td>
  </tr>
  <tr>
   <td>Regular 4G/LTE</td>
   <td>4 Mbps</td>
   <td>3 Mbps</td>
   <td>20</td>
  </tr>
  <tr>
   <td>DSL</td>
   <td>2 Mbps</td>
   <td>1 Mbps</td>
   <td>5</td>
  </tr>
  <tr>
   <td>Wi-Fi</td>
   <td>30 Mbps</td>
   <td>15 Mbps</td>
   <td>2</td>
  </tr>
 </tbody>
</table>

<h2 id="Network_Monitor_Features">Network Monitor Features</h2>

<p>The following articles cover different aspects of using the network monitor:</p>

<ul>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Toolbar">Toolbar</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/request_list">Network request list</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/request_details">Network request details</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/recording">Network traffic recording</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Performance_Analysis">Performance analysis</a></li>
</ul>
